
QGIS Application - Feature request #4820

Color interpolation "exact" does not work

2012-01-16 06:25 AM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee:

Category: Rasters

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14666

Description

New description: when using "exact" then classification mode "equal intervals" or "continuous" should not be used, otherwise the raster

will render transparent as the classes have values that do not exist in the raster (or just a few classes correspond to exact raster values).

History

#1 - 2012-04-16 05:25 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Subject changed from Color interpolation "exact" does not work (the raster is rendered transparent) to Color interpolation "exact" does not work (make 

it do not use equal intervals)

- Priority changed from High to Normal

- Target version changed from Version 1.7.4 to Version 2.0.0

#2 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2014-06-20 02:09 PM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from Color interpolation "exact" does not work (make it do not use equal intervals) to Color interpolation "exact" does not work

- Target version changed from Future Release - Nice to have to Future Release - High Priority

this raster renderer never worked as expected, I guess.

#4 - 2015-12-07 07:45 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

where can we find this option in the actual raster properties ? I can't find it anywhere...

#5 - 2015-12-09 05:03 AM - Giovanni Manghi

- Status changed from Feedback to Open

where can we find this option in the actual raster properties ? I can't find it anywhere...

raster properties, symbology tab, pseudocolor mode
#6 - 2015-12-09 09:24 AM - Médéric RIBREUX

Hello,

ok, I've found it... but what should be done ? Should we disable totally the "Generate new color map" groupbox (can only fill the palette manually or with an

external file) or add a new mode for specific classification (and what needs to be done on this classification or have you an idea of how to do this) in this

groupbox ?

#7 - 2015-12-09 09:26 AM - Giovanni Manghi

Médéric RIBREUX wrote:

Hello,

ok, I've found it... but what should be done ? Should we disable totally the "Generate new color map" groupbox (can only fill the palette manually or

with an external file) or add a new mode for specific classification (and what needs to be done on this classification or have you an idea of how to do

this) in this groupbox ?

the symbology for rasters in qgis is pretty weak and I found several other issues not yet reported (I think so). I will write to the de list asap and then from

there we can think about what keeping open and what closing.

#8 - 2016-05-24 07:34 AM - Paolo Cavallini

- Priority changed from High to Normal

- Status changed from Open to Feedback

The option is useful for categorical rasters; it's rather the values of the classes that should be calculated better, I guess.

I agree that users may get confused, however.

Unclear what should be done.

#9 - 2016-05-24 01:29 PM - Giovanni Manghi

- Target version deleted (Future Release - High Priority)

- Status changed from Feedback to Open

Unclear what should be done.

sometimes it is useful to have a look to what other software does.

#10 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

Files

clip_nulls 59.8 KB 2012-01-16 Giovanni Manghi
